---
search:
  tags:
    - Engagements
    - POST
seo:
  description: >-
    Add engagements (likes, comments, reposts) to a post. Engagements will be…
    Reference for the POST /posts/{postId}/engagements endpoint in the Ordinal
    API.
sidebar:
  label: Create for a post
  badge: POST
title: Create for a post
type: openapi-operation
---
Add engagements (likes, comments, reposts) to a post. Engagements will be executed automatically when the post is published.

**Tagging on LinkedIn:**
To mention someone in a comment or repost, use the format `@[Display Name](urn)`. See [LinkedIn Mentions](/api/linkedin-mentions) for details on how to look up URNs.

**LinkedIn reaction types:**
For Like engagements on LinkedIn, you can specify a reaction type (Like, Celebrate, Love, Insightful, Support, Funny). Defaults to Like if not specified. Must not be provided for Comment or Repost.

**Validation rules:**
- `copy` is required for Comment, optional for Repost, must not be provided for Like
- `delaySeconds` is required for Comment and Repost (any integer from 0 to 86400 — up to 24 hours), must not be provided for Like
- `reactionType` is only for Like engagements on LinkedIn (defaults to Like if omitted)
- Only one Like engagement per profile is allowed

`POST /posts/{postId}/engagements`
